/// <reference types="vitest" />
import path from "node:path";
import { defineConfig } from "vite";
import pkg from "./package.json";

export default defineConfig({
  build: {
    minify: false,
    lib: {
      entry: path.resolve(__dirname, "src/index.ts"),
      name: "index",
      fileName: "index",
      formats: ["es", "cjs"]
    },
    // outDir: path.resolve(__dirname, "dist"),
    sourcemap: true,
    rollupOptions: {
      // make sure to externalize deps that shouldn't be bundled
      // into your library
      external: [...Object.keys(pkg.dependencies), /^node:/],
      output: {}
    }
  },
  test: {
    globals: true
  }
});
